Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359477 - rhel-osp-director: Adding 11 computes: "Stack failed with status: resources.Controller: MessagingTimeout: resources[0]: Timed out waiting for a reply to message ID"
Summary: rhel-osp-director: Adding 11 computes: "Stack failed with status: resources.C...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 7.0 (Kilo)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Steve Baker
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-24 03:45 UTC by Masaki Furuta
Modified: 2017-06-09 00:38 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 21:02:42 UTC


Attachments (Terms of Use)

Comment 6 Zane Bitter 2016-07-25 13:29:43 UTC
If the original undercloud installation was done on RHOS 7.2 then the timeout may be due to bug 1305947. To check, look at the file /etc/heat/heat.conf on the undercloud; it should have a line like:

rpc_response_timeout = 600

If not, then add one and restart openstack-heat-api and openstack-heat-engine.

Comment 7 Zane Bitter 2016-07-25 13:31:37 UTC
I should have said OSPd 7.2 (not "RHOS" 7.2).

Comment 10 Steve Baker 2016-07-27 22:00:49 UTC
Could you please also confirm that heat.conf has the following setting?

  max_resources_per_stack = -1

This is set for new installs by puppet, but not for minor 7.x upgrades.

This setting dramatically reduces the load on heat for all stack operations.

Comment 11 David Hill 2016-07-28 14:49:03 UTC
max_resources_per_stack = 1800.   We'll be trying -1 and keep you posted.  Thanks.

Comment 13 David Hill 2016-07-28 19:11:46 UTC
That did it... Thank you so much!  Now deploying the overcloud takes 5% of the initial time.


Note You need to log in before you can comment on or make changes to this bug.